/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-05-14
 * 描述            ：订单物料检验项（从表）
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Pms.Order.vo;
import java.io.Serializable;
import java.util.Date;

import market.Pms.Order.mapper.PurOrderCStdDMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="PUR_ORDER_C_STD_D", namespace=PurOrderCStdDMapper.class)
public class PurOrderCStdD extends BaseVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = -8702806339524029189L;
	/** 
	 * 标准索引号MIC+7位流水
	 */ 
	@Id
	private String mic;
	public String getMic() {
		return this.mic;
	}
	public void setMic(String mic) {
		this.mic = mic;
	}

	/** 
	 * 标准索引号序号
	 */ 
	@Id
	private String mic_sqe;
	public String getMic_sqe() {
		return this.mic_sqe;
	}
	public void setMic_sqe(String mic_sqe) {
		this.mic_sqe = mic_sqe;
	}

	/** 
	 * 检验项目编码(大项)
	 */ 
	@Column
	private String test_item_code;
	public String getTest_item_code() {
		return this.test_item_code;
	}
	public void setTest_item_code(String test_item_code) {
		this.test_item_code = test_item_code;
	}

	/** 
	 * 检验项目名称
	 */ 
	@Column
	private String test_item_name;
	public String getTest_item_name() {
		return this.test_item_name;
	}
	public void setTest_item_name(String test_item_name) {
		this.test_item_name = test_item_name;
	}

	/** 
	 * 分析项目编码(项)
	 */ 
	@Column
	private String anly_item_code;
	public String getAnly_item_code() {
		return this.anly_item_code;
	}
	public void setAnly_item_code(String anly_item_code) {
		this.anly_item_code = anly_item_code;
	}

	/** 
	 * 分析项目名称
	 */ 
	@Column
	private String anly_item_name;
	public String getAnly_item_name() {
		return this.anly_item_name;
	}
	public void setAnly_item_name(String anly_item_name) {
		this.anly_item_name = anly_item_name;
	}

	/** 
	 * 结果类型（A定量、B定性）
	 */ 
	@Column
	private String result_type;
	public String getResult_type() {
		return this.result_type;
	}
	public void setResult_type(String result_type) {
		this.result_type = result_type;
	}

	/** 
	 * 是否启用公式(1是、0否)
	 */ 
	@Column
	private String is_formula;
	public String getIs_formula() {
		return this.is_formula;
	}
	public void setIs_formula(String is_formula) {
		this.is_formula = is_formula;
	}

	/** 
	 * 标准范围下限符号
	 */ 
	@Column
	private String min_sign;
	public String getMin_sign() {
		return this.min_sign;
	}
	public void setMin_sign(String min_sign) {
		this.min_sign = min_sign;
	}

	/** 
	 * 标准范围下限
	 */ 
	@Column
	private String min_value;
	public String getMin_value() {
		return this.min_value;
	}
	public void setMin_value(String min_value) {
		this.min_value = min_value;
	}

	/** 
	 * 标准范围上限符号
	 */ 
	@Column
	private String max_sign;
	public String getMax_sign() {
		return this.max_sign;
	}
	public void setMax_sign(String max_sign) {
		this.max_sign = max_sign;
	}

	/** 
	 * 标准范围上限
	 */ 
	@Column
	private String max_value;
	public String getMax_value() {
		return this.max_value;
	}
	public void setMax_value(String max_value) {
		this.max_value = max_value;
	}

	/** 
	 * 计算公式
	 */ 
	@Column
	private String formula;
	public String getFormula() {
		return this.formula;
	}
	public void setFormula(String formula) {
		this.formula = formula;
	}

	/** 
	 * 默认值
	 */ 
	@Column
	private String default_value;
	public String getDefault_value() {
		return this.default_value;
	}
	public void setDefault_value(String default_value) {
		this.default_value = default_value;
	}

	/** 
	 * 分析次数
	 */ 
	@Column
	private String anly_cnt;
	public String getAnly_cnt() {
		return this.anly_cnt;
	}
	public void setAnly_cnt(String anly_cnt) {
		this.anly_cnt = anly_cnt;
	}

	/** 
	 * 试验要求条件
	 */ 
	@Column
	private String test_condition;
	public String getTest_condition() {
		return this.test_condition;
	}
	public void setTest_condition(String test_condition) {
		this.test_condition = test_condition;
	}

	/** 
	 * 检验周期
	 */ 
	@Column
	private String test_cycle;
	public String getTest_cycle() {
		return this.test_cycle;
	}
	public void setTest_cycle(String test_cycle) {
		this.test_cycle = test_cycle;
	}

	/** 
	 * 报出显示(0否1是质保书)
	 */ 
	@Column
	private String is_report;
	public String getIs_report() {
		return this.is_report;
	}
	public void setIs_report(String is_report) {
		this.is_report = is_report;
	}

	/** 
	 * 有效位数
	 */ 
	@Column
	private String rnd_digits;
	public String getRnd_digits() {
		return this.rnd_digits;
	}
	public void setRnd_digits(String rnd_digits) {
		this.rnd_digits = rnd_digits;
	}

	/** 
	 * 修约规则
	 */ 
	@Column
	private String rnd_rule;
	public String getRnd_rule() {
		return this.rnd_rule;
	}
	public void setRnd_rule(String rnd_rule) {
		this.rnd_rule = rnd_rule;
	}

	/** 
	 * AS,MIN,MAX,AVG
	 */ 
	@Column
	private String output_type;
	public String getOutput_type() {
		return this.output_type;
	}
	public void setOutput_type(String output_type) {
		this.output_type = output_type;
	}

	/** 
	 * 标准范围下限符号A
	 */ 
	@Column
	private String min_sign_a;
	public String getMin_sign_a() {
		return this.min_sign_a;
	}
	public void setMin_sign_a(String min_sign_a) {
		this.min_sign_a = min_sign_a;
	}

	/** 
	 * 标准范围下限A
	 */ 
	@Column
	private String min_value_a;
	public String getMin_value_a() {
		return this.min_value_a;
	}
	public void setMin_value_a(String min_value_a) {
		this.min_value_a = min_value_a;
	}

	/** 
	 * 标准范围上限符号A
	 */ 
	@Column
	private String max_sign_a;
	public String getMax_sign_a() {
		return this.max_sign_a;
	}
	public void setMax_sign_a(String max_sign_a) {
		this.max_sign_a = max_sign_a;
	}

	/** 
	 * 标准范围上限A
	 */ 
	@Column
	private String max_value_a;
	public String getMax_value_a() {
		return this.max_value_a;
	}
	public void setMax_value_a(String max_value_a) {
		this.max_value_a = max_value_a;
	}

	/** 
	 * 标准范围下限符号B
	 */ 
	@Column
	private String min_sign_b;
	public String getMin_sign_b() {
		return this.min_sign_b;
	}
	public void setMin_sign_b(String min_sign_b) {
		this.min_sign_b = min_sign_b;
	}

	/** 
	 * 标准范围下限B
	 */ 
	@Column
	private String min_value_b;
	public String getMin_value_b() {
		return this.min_value_b;
	}
	public void setMin_value_b(String min_value_b) {
		this.min_value_b = min_value_b;
	}

	/** 
	 * 标准范围上限符号B
	 */ 
	@Column
	private String max_sign_b;
	public String getMax_sign_b() {
		return this.max_sign_b;
	}
	public void setMax_sign_b(String max_sign_b) {
		this.max_sign_b = max_sign_b;
	}

	/** 
	 * 标准范围上限B
	 */ 
	@Column
	private String max_value_b;
	public String getMax_value_b() {
		return this.max_value_b;
	}
	public void setMax_value_b(String max_value_b) {
		this.max_value_b = max_value_b;
	}

	/** 
	 * 标准范围下限符号C
	 */ 
	@Column
	private String min_sign_c;
	public String getMin_sign_c() {
		return this.min_sign_c;
	}
	public void setMin_sign_c(String min_sign_c) {
		this.min_sign_c = min_sign_c;
	}

	/** 
	 * 标准范围下限C
	 */ 
	@Column
	private String min_value_c;
	public String getMin_value_c() {
		return this.min_value_c;
	}
	public void setMin_value_c(String min_value_c) {
		this.min_value_c = min_value_c;
	}

	/** 
	 * 标准范围上限符号C
	 */ 
	@Column
	private String max_sign_c;
	public String getMax_sign_c() {
		return this.max_sign_c;
	}
	public void setMax_sign_c(String max_sign_c) {
		this.max_sign_c = max_sign_c;
	}

	/** 
	 * 标准范围上限C
	 */ 
	@Column
	private String max_value_c;
	public String getMax_value_c() {
		return this.max_value_c;
	}
	public void setMax_value_c(String max_value_c) {
		this.max_value_c = max_value_c;
	}

	/** 
	 * 数据状态（1有效、0无效）
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String remark;
	public String getRemark() {
		return this.remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}

	/** 
	 * 创建人ID
	 */ 
	@Column
	private String create_userid;
	public String getCreate_userid() {
		return this.create_userid;
	}
	public void setCreate_userid(String create_userid) {
		this.create_userid = create_userid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人ID
	 */ 
	@Column
	private String update_userid;
	public String getUpdate_userid() {
		return this.update_userid;
	}
	public void setUpdate_userid(String update_userid) {
		this.update_userid = update_userid;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 废除人ID
	 */ 
	@Column
	private String delete_userid;
	public String getDelete_userid() {
		return this.delete_userid;
	}
	public void setDelete_userid(String delete_userid) {
		this.delete_userid = delete_userid;
	}

	/** 
	 * 废除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 废除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

}
